IvyBuildList
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.ant
Class IvyBuildList

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.ivy.ant.IvyTask
                  org.apache.ivy.ant.IvyBuildList

All Implemented Interfaces:
  java.lang.Cloneable

    public class IvyBuildList

extends IvyTask

Creates an ant filelist of files (usually build.xml) ordered according to the dependencies declared in ivy files.

Nested Class Summary
`static class` | `IvyBuildList.OnMissingDescriptor`

Field Summary
`static java.lang.String` | `DESCRIPTOR_REQUIRED`

Fields inherited from class org.apache.ivy.ant.IvyTask
`ANT_PROJECT_CONTEXT_KEY`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`IvyBuildList()`

Method Summary
`void` | `addFileset(org.apache.tools.ant.types.FileSet buildFiles)`
`void` | `doExecute()` The real logic of task execution after project has been set in the context.
`java.lang.String` | `getDelimiter()`
`java.lang.String` | `getIvyfilepath()`
`java.lang.String` | `getLeaf()`
`boolean` | `getOnlydirectdep()`
`java.lang.String` | `getOnMissingDescriptor()`
`java.lang.String` | `getReference()`
`java.lang.String` | `getRestartFrom()`
`java.lang.String` | `getRoot()`
`boolean` | `isExcludeLeaf()`
`boolean` | `isExcludeRoot()`
`boolean` | `isHaltonerror()`
`boolean` | `isReverse()`
`boolean` | `isSkipbuildwithoutivy()` Deprecated. use `getOnMissingDescriptor()` instead.
`void` | `setDelimiter(java.lang.String delimiter)`
`void` | `setExcludeLeaf(boolean excludeLeaf)`
`void` | `setExcludeRoot(boolean root)`
`void` | `setHaltonerror(boolean haltOnError)`
`void` | `setIvyfilepath(java.lang.String ivyFilePath)`
`void` | `setLeaf(java.lang.String leaf)`
`void` | `setOnlydirectdep(boolean onlydirectdep)`
`void` | `setOnMissingDescriptor(java.lang.String onMissingDescriptor)`
`void` | `setReference(java.lang.String reference)`
`void` | `setRestartFrom(java.lang.String restartFrom)`
`void` | `setReverse(boolean reverse)`
`void` | `setRoot(java.lang.String root)`
`void` | `setSkipbuildwithoutivy(boolean skipBuildFilesWithoutIvy)` Deprecated. use `setOnMissingDescriptor(String)` instead.

Methods inherited from class org.apache.ivy.ant.IvyTask
`cacheAttributeNotSupported, doValidate, execute, finalizeTask, getIvyInstance, getProperty, getProperty, getProperty, getProperty, getPubDate, getResolvedConfigurations, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedReport, getSettings, getSettingsRef, isValidate, mergeConfs, prepareTask, setResolved, setResolved, setSettingsRef, setValidate, splitConfs, toString`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DESCRIPTOR_REQUIRED

    public static final java.lang.String DESCRIPTOR_REQUIRED

See Also:
  Constant Field Values

Constructor Detail

### IvyBuildList

    public IvyBuildList()

Method Detail

### addFileset

    public void addFileset(org.apache.tools.ant.types.FileSet buildFiles)

### getReference

    public java.lang.String getReference()

### setReference

    public void setReference(java.lang.String reference)

### getRoot

    public java.lang.String getRoot()

### setRoot

    public void setRoot(java.lang.String root)

### isExcludeRoot

    public boolean isExcludeRoot()

### setExcludeRoot

    public void setExcludeRoot(boolean root)

### getLeaf

    public java.lang.String getLeaf()

### setLeaf

    public void setLeaf(java.lang.String leaf)

### isExcludeLeaf

    public boolean isExcludeLeaf()

### setExcludeLeaf

    public void setExcludeLeaf(boolean excludeLeaf)

### getDelimiter

    public java.lang.String getDelimiter()

### setDelimiter

    public void setDelimiter(java.lang.String delimiter)

### getOnlydirectdep

    public boolean getOnlydirectdep()

### setOnlydirectdep

    public void setOnlydirectdep(boolean onlydirectdep)

### doExecute

    public void doExecute()
                   throws org.apache.tools.ant.BuildException

  Description copied from class: `IvyTask`
  The real logic of task execution after project has been set in the context. MUST be implemented by subclasses

  Specified by:
    `doExecute` in class `IvyTask`
  Throws:
    `org.apache.tools.ant.BuildException`

### isHaltonerror

    public boolean isHaltonerror()

### setHaltonerror

    public void setHaltonerror(boolean haltOnError)

### getIvyfilepath

    public java.lang.String getIvyfilepath()

### setIvyfilepath

    public void setIvyfilepath(java.lang.String ivyFilePath)

### getOnMissingDescriptor

    public java.lang.String getOnMissingDescriptor()

### setOnMissingDescriptor

    public void setOnMissingDescriptor(java.lang.String onMissingDescriptor)

### isSkipbuildwithoutivy

    public boolean isSkipbuildwithoutivy()

  Deprecated. use `getOnMissingDescriptor()` instead.

### setSkipbuildwithoutivy

    public void setSkipbuildwithoutivy(boolean skipBuildFilesWithoutIvy)

  Deprecated. use `setOnMissingDescriptor(String)` instead.

### isReverse

    public boolean isReverse()

### setReverse

    public void setReverse(boolean reverse)

### getRestartFrom

    public java.lang.String getRestartFrom()

### setRestartFrom

    public void setRestartFrom(java.lang.String restartFrom)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD